Subject: bug#10770: info-display-manual replaces existing *info* buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Feb 2012 20:36:16 +0200

> From: Glenn Morris <[email-masked]>
> Date: Thu, 09 Feb 2012 01:33:40 -0500
> 
> M-x info-display-manual RET gnus RET
> M-x info-display-manual RET emacs RET
> 
> Now my Gnus manual is gone, replaced by the Emacs manual.
> I expected it to use a new buffer for the Emacs manual.

It doesn't create new buffers, only finds existing ones.  (Did the doc
string suggest otherwise?)

IOW, do it like this:

  M-x info-display-manual RET gnus RET
  M-x rename-buffer *info*<1> RET
  M-x info-display-manual RET emacs RET
  M-x rename-buffer *info*<2> RET

(The second rename is not necessary, but it clears the way for yet
another info-display-manual.)

Now you can use info-display-manual, and it will switch to the right
buffer automatically.

I wrote that command because I always have several dozens of Info
manuals open in my Emacs session, and I want to be able to switch
between them without any hassle.